procedure SetupFieldsAndOpenDataset(DataSet: TDataSet);
var
  FieldNum,DefNum: Integer;
begin
  with DataSet do begin
    if Active then Close ;
    FieldDefs.Update; {dataset must be closed}
    {look up each pre-defined TField in DataSet.FieldDefs:}
    for FieldNum:= FieldCount-1 downto 0 do
      with Fields[FieldNum] do begin
        DefNum := FieldDefs.IndexOf(FieldName);
        if DefNum < 0 then
          raise Exception.CreateFmt('Field "%s" not in dataset "%s"',
                                    [FieldName,Dataset.Name]);
        {adjust size property:}
        Size := FieldDefs[DefNum].Size;
      end;
    Open;
  end;
end;
