unit Main;
interface
uses
  SysUtils,WinTypes,WinProcs,Messages,Classes,Graphics,
  Controls,Forms,Dialogs,StdCtrls,ExtCtrls;
type
  TMyGroupBox = class(TGroupBox)
  public
    property Canvas;
  end;
  TfrmMain = class(TForm)
    Image1: TImage;
    GroupBox1: TGroupBox;
    Button1: TButton;
    CheckBox1: TCheckBox;
    RadioButton1: TRadioButton;
    ListBox1: TListBox;
    procedure Button1Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
var
  frmMain: TfrmMain;
  copMode: TCopyMode;

implementation
{$R *.DFM}

procedure TfrmMain.Button1Click(Sender: TObject);
begin
  with TMyGroupBox(GroupBox1).Canvas do begin
    CopyMode := copMode;
    CopyRect(ClipRect,Image1.Canvas,ClipRect);
  end;
end;

procedure TfrmMain.ListBox1Click(Sender: TObject);
begin
  case (Sender as TListBox).ItemIndex of
    0: copMode := cmBlackness;
    1: copMode := cmDstInvert;
    2: copMode := cmMergeCopy;
    3: copMode := cmMergePaint;
    4: copMode := cmNotSrcCopy;
    5: copMode := cmNotSrcErase;
    6: copMode := cmPatCopy;
    7: copMode := cmPatInvert;
    8: copMode := cmPatPaint;
    9: copMode := cmSrcAnd;
    10: copMode := cmSrcCopy;
    11: copMode := cmSrcErase;
    12: copMode := cmSrcInvert;
  end;
end;
end.
